<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        xmlns:c="http://jmix.io/schema/ui/jpql-condition"
        caption="msg://sapCash2Browse.caption"
        focusComponent="sapCash2sTable">
    <data readOnly="true">
        <collection id="sapCash2sDc"
                    class="com.company.management.entity.SapCash2">
            <fetchPlan extends="_base"/>
            <loader id="sapCash2sDl">
                <query>
                    <![CDATA[select e from SapCash2 e]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="lookupSelectAction"
                caption="msg:///actions.Select"
                icon="LOOKUP_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="lookupCancelAction"
                caption="msg:///actions.Cancel"
                icon="LOOKUP_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout expand="sapCash2sTable" spacing="true">
        <filter id="filter"
                dataLoader="sapCash2sDl">
            <properties include=".*"/>
        </filter>
        <table id="sapCash2sTable"
               width="100%"
               dataContainer="sapCash2sDc">
            <actions>
                <action id="create" type="create"/>
                <action id="edit" type="edit"/>
                <action id="remove" type="remove"/>
            </actions>
            <columns>
                <column id="typeFee"/>
                <column id="amount"/>
                <column id="transactionDate"/>
            </columns>
            <simplePagination/>
            <buttonsPanel id="buttonsPanel"
                          alwaysVisible="true">
                <button id="createBtn" action="sapCash2sTable.create"/>
                <button id="editBtn" action="sapCash2sTable.edit"/>
                <button id="removeBtn" action="sapCash2sTable.remove"/>
                <button id="downloadBtn" caption="msg://Download Cash"/>
            </buttonsPanel>
        </table>
        <hbox id="lookupActions" spacing="true" visible="false">
            <button action="lookupSelectAction"/>
            <button action="lookupCancelAction"/>
        </hbox>
    </layout>
</window>
